#!/bin/bash
# Other parameters that can be changed
# * If you like more condensed (or expanded) looks you can tweak following parameters (default is 20)
#  -Dproject.row.height
#  -Dtask.row.height
#  -Dcontext.row.height

# Request focus in case there already exists another TimeGT instance
echo > ~/.timegt/signal.tgt

cd `dirname "$0"`

CLASSPATH=
CURRENT=`pwd`
IFS=$'\n'

if [ -d ~/.timegt/lib ]
then
  for i in `find "~/.timegt/lib" |grep '\.jar'$`
  do
    CLASSPATH=$CLASSPATH:$i
  done
fi

for i in `find "$CURRENT/lib" |grep '\.jar$'` 
do
  CLASSPATH=$CLASSPATH:$i
done
unset IFS

java -cp "$CLASSPATH" -Xms32m -Xmx128m -Dsun.java2d.d3d=false com.timegt.client.swing.Launcher
